/*
 * Copyright 2008 Ben Boeckel <MathStuf@gmail.com>
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along
 * with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef SIGMODR_PREFERENCES
#define SIGMODR_PREFERENCES

// KDE includes
#include <KDialog>

// Forward declarations
class KConfigGroup;
class QCheckBox;

namespace Sigmodr
{
class SigmodrPreferences : public KDialog
{
    Q_OBJECT
    
    public:
        SigmodrPreferences(QWidget* parent, KConfigGroup& config);
    protected slots:
        void save();
    private:
        KConfigGroup& m_config;
        QCheckBox* varReloadOnOpen;
};
}

#endif
